Subject: Re: Eliminating RTC from MPC5200

From: Daniel Ann <[email-masked]>
Date: Tue, 12 Apr 2005 13:03:53 +0900

On Apr 12, 2005 3:30 AM, Grant Likely <[email-masked]> wrote:
> Is this true?  Can I eliminate the need for the RTC If I modify
> mpc52xx_calibrate_decr() in arch/ppc/syslib/mpc52xx_setup.c and
> mpc52xx_ipbfreq() in arch/ppc/boot/simple/mpc52xx_tty.c?  I'm assuming
> that I can hard code the system clock speeds for my specific hardware.

This kinda relates back to my previous post.
Tho I'm not using mpc52xx, my board doesnt have RTC as well. And I
simply blocked out all the time related functions except the
calibrate_decr. And hard coded the freq.

It works nicely.

BTW, I'm using mpc8245. You should be able to find my post dating back
no more than a week or two. Originally I had trouble working out the
freq, but its all solved thanks to Mark ^^

-- 
Daniel